Summary:	Library to access Last.fm features
Name:		liblastfm
Version:	0.3.3
Release:	2
License:	GPL v3
Group:		Libraries
Source0:	http://github.com/mxcl/liblastfm/tarball/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	fe339bf46aefc515c251200d10262f79
Patch0:		%{name}-ruby19.patch
URL:		http://github.com/mxcl/liblastfm/
BuildRequires:	QtGui-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	QtSql-devel
BuildRequires:	QtTest-devel
BuildRequires:	QtXml-devel
BuildRequires:	fftw3-single-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	pkgconfig
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake
BuildRequires:	ruby
BuildRequires:	ruby-modules
BuildRequires:	sed >= 4.0
BuildRequires:	which
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
liblastfm is a collection of libraries to help you integrate Last.fm
services into your rich desktop software. It is officially supported
software developed by Last.fm staff.

%package devel
Summary:	Header files for %{name}
Summary(pl.UTF-8):	Pliki nagłówkowe %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{name}.

%description devel -l pl.UTF-8
Pliki nagłówkowe %{name}.

%prep
%setup -q -n mxcl-%{name}-1c739eb
%patch0 -p0

find -name *.pro | xargs %{__sed} -i -e "/target.path/ s/lib/%{_lib}/g"

%build
%configure \
	--prefix %{_prefix} \
	--libdir %{_libdir}
%{__make} \
	CXX="%{__cc}" \
	CXXFLAGS="%{rpmcxxflags} -fno-operator-names -fPIC"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/%{name}.so.*.*
%attr(755,root,root) %ghost %{_libdir}/%{name}.so.0
%attr(755,root,root) %{_libdir}/%{name}_fingerprint.so.*.*
%attr(755,root,root) %ghost %{_libdir}/%{name}_fingerprint.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}.so
%attr(755,root,root) %{_libdir}/%{name}_fingerprint.so
%{_includedir}/lastfm
%{_includedir}/lastfm.h
%changelog
* Sun Mar 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/liblastfm.git;a=log;h=master

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 3b381c1
- x32 rebuild
- release 2 (by relup.sh)

* Fri Apr 06 2012 Elan Ruusamäe <glen@pld-linux.org> c686ecc
- cxx/cxxflags

* Sat Jan 28 2012 Jan Palus <jan.palus@gmail.com> 6b77cea
- replaced by sed inside spec file (don't change whole prefix to %{_libdir})

* Sat Jan 28 2012 Jan Palus <jan.palus@gmail.com> e2fc85f
- ruby patch taken from gentoo

* Sat Jan 28 2012 Jan Palus <jan.palus@gmail.com> 82e4a77
- up to 0.3.3
- project moved to github

* Sat Nov 14 2009 zbyniu <zbyniu@pld-linux.org> c8eb4b0
- BR: libsamplerate-devel, pkgconfig, qt4-build, which

* Thu Sep 24 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> fd6cd87
- added missing BR: fftw3-single-devel
- fixed %files and adaptarized
- rel 1

* Sun Sep 20 2009 arvenil <arvenil@pld-linux.org> 4684897
- init

